# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rackprof/version'

Gem::Specification.new do |spec|
  spec.name          = "rackprof"
  spec.version       = Rackprof::VERSION
  spec.authors       = ["Norimasa Ando"]
  spec.email         = ["norimasa.ando@gmail.com"]

  spec.summary       = %q{Profile ruby code for Rails and other Rack apps.}
  spec.description   = %q{Provides a profiler page of the ruby execution which has infomation of gc and object allocation.}
  spec.homepage      = "https://github.com/hbd225/rackprof"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ["lib"]

  spec.add_dependency             'sinatra'
  spec.add_dependency             'sinatra-contrib'
  spec.add_dependency             'eventmachine'
  spec.add_dependency             'stackprof'
  spec.add_development_dependency 'bundler', '~> 1.9'
  spec.add_development_dependency 'rake', '~> 10.0'
end
